Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.iapi
Enum ProcessStoreEvent.Type

    java.lang.Object
      java.lang.Enum<ProcessStoreEvent.Type>
          org.apache.ode.bpel.iapi.ProcessStoreEvent.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProcessStoreEvent.Type>

Enclosing class:
  ProcessStoreEvent

    public static enum ProcessStoreEvent.Type

extends java.lang.Enum<ProcessStoreEvent.Type>

Enum Constant Summary
`ACTVIATED` A process that was previously disabled or retired has become activated.
`DEPLOYED` A process was deployed to the store.
`DISABLED` A process has been disabled: it should no longer execute for new or old instances.
`PROPERTY_CHANGED` A process property was changed.
`RETIRED` A process has been retired (i.e.
`SCHEDULE_SETTINGS_CHANGED` Cron schedule settings have been changed for the process
`UNDEPLOYED` A process was undeployed to from the store.

Method Summary
`static ProcessStoreEvent.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProcessStoreEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEPLOYED

    public static final ProcessStoreEvent.Type DEPLOYED

  A process was deployed to the store.

### UNDEPLOYED

    public static final ProcessStoreEvent.Type UNDEPLOYED

  A process was undeployed to from the store.

### RETIRED

    public static final ProcessStoreEvent.Type RETIRED

  A process has been retired (i.e. it should no longer create new instances.

### ACTVIATED

    public static final ProcessStoreEvent.Type ACTVIATED

  A process that was previously disabled or retired has become activated. This event is also sent whenver an active process is "discovered"

### DISABLED

    public static final ProcessStoreEvent.Type DISABLED

  A process has been disabled: it should no longer execute for new or old instances.

### PROPERTY_CHANGED

    public static final ProcessStoreEvent.Type PROPERTY_CHANGED

  A process property was changed.

### SCHEDULE_SETTINGS_CHANGED

    public static final ProcessStoreEvent.Type SCHEDULE_SETTINGS_CHANGED

  Cron schedule settings have been changed for the process

Method Detail

### values

    public static final ProcessStoreEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ProcessStoreEvent.Type c : ProcessStoreEvent.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ProcessStoreEvent.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD